/*
 * MyFtpClient.java
 *
 * Created on 15 janvier 2007, 15:28
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package val_diamonds;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import org.apache.commons.net.ftp.FTPClient;
import org.apache.commons.net.ftp.FTPFile;

/**
 *
 * @author Valere DEJARDIN
 */
public class MyFtpClient {
    private String hostname = "myHostame";
    private String login = "myLogin";
    private String password = "myPassword";
    private String path = "myPath";
    private String localDirectory = "c:\\temp";
    
    
    /** Creates a new instance of Main */
    public MyFtpClient() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        MyFtpClient myFtpClient = new MyFtpClient();
        myFtpClient.Go();
        
        
    }
    
    private void Go() {
        // Creation client et connection
        FTPClient client = new FTPClient();
        try {
            client.connect(hostname);
            if (client.isConnected()) {
                System.out.println("Connection  " + hostname + " OK");
            } else {
                System.out.println("Erreur de connection  " + hostname);
            }
            
            // login au serveur client
            if (client.login(login, password)) {
                // changement de rpertoire
                if (client.changeWorkingDirectory(path)) {
                    FTPFile[] ftpFiles = client.listFiles();
                    System.out.println("Affichage de liste des fichiers du rpertoire");
                    for (int i = 0; i < ftpFiles.length; i++) {
                        FTPFile ftpFile = ftpFiles[i];
                        System.out.println("Fichier " + i + ": " + ftpFile.getName());
                    }
                    System.out.println("Fin de la rcupration de la liste des fichiers.");
                    
                    // transfert du premier fichier dans c:\temp
                    if (ftpFiles.length > 0) {
                        FTPFile ftpFile = ftpFiles[0];
                        client.setFileTransferMode(FTPClient.BINARY_FILE_TYPE);
                        File file = new File( localDirectory +
                                File.separator + ftpFile.getName() );
                        FileOutputStream fos = new FileOutputStream( file );
                        if (client.retrieveFile( ftpFile.getName(), fos )) {
                            System.out.println("Transfert du fichier " + ftpFile.getName() + " OK");
                        } else {
                            System.out.println("Erreur de transfert du fichier " + ftpFile.getName());
                        }
                        fos.close();
                    } else {
                        System.out.println("pas de fichier  transfrer");
                    }
                } else {
                    System.out.println("Erreur lors du changement de rpertoire");
                }
                client.logout();
            } else {
                System.out.println("Erreur de connection, verifiez login et password");
            }
            client.disconnect();
        } catch (FileNotFoundException ex) {
            ex.printStackTrace();
        } catch (IOException ex) {
            ex.printStackTrace();
        }
        
    }
    
}
